Get Payment Intent by Quote ID
GET /v2/send/quotes/{quoteId}/payment-intent
GET
/v2/send/quotes/{quoteId}/payment-intent
Get details of a specific payment intent by quote ID
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” quoteId
required
string format: uuid
Quote ID
Example
82c4fce1-d2c7-48cb-a647-6993dbe37819Responses
Section titled “ Responses ”Payment intent details with quote and transaction information
object
id
required
Payment Intent ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 quoteId
required
Quote ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 organisationId
required
Organisation ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 userId
required
User ID
string format: uuid
82c4fce1-d2c7-48cb-a647-6993dbe37819 pin
required
The pin for the payment intent
string
status
required
Payment Intent Status
string
pending walletAddress
required
Wallet address
string
recipientId
required
Recipient ID
string format: uuid
typedData
Typed data
string
transactionHash
Transaction hash
string
0x1234567890abcdef... completedAt
Execution timestamp
string format: date-time
2023-12-01T10:00:00Z createdAt
Creation timestamp
string format: date-time
2023-12-01T10:00:00Z txData
Transaction data for depositWithAuthAndPermit with placeholder permit signature
object
permitParams
Permit parameters for frontend to sign
object
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error